Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fedict.eid.applet.service.impl
Class HttpServletResponseHttpTransmitter

    java.lang.Object
      be.fedict.eid.applet.service.impl.HttpServletResponseHttpTransmitter

All Implemented Interfaces:
  be.fedict.eid.applet.shared.protocol.HttpTransmitter

    public class HttpServletResponseHttpTransmitter

extends Object
implements be.fedict.eid.applet.shared.protocol.HttpTransmitter

Implementation of a transport component using `HttpServletResponse`.

Author:
  Frank Cornelis

Constructor Summary
`HttpServletResponseHttpTransmitter(HttpServletResponse httpServletResponse)` Main constructor.

Method Summary
`void` | `addHeader(String headerName, String headerValue)`
`boolean` | `isSecure()`
`void` | `setBody(byte[] bodyValue)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpServletResponseHttpTransmitter

    public HttpServletResponseHttpTransmitter(HttpServletResponse httpServletResponse)

  Main constructor.

  Parameters:
    `httpServletResponse` -

Method Detail

### addHeader

    public void addHeader(String headerName,
                          String headerValue)

  Specified by:
    `addHeader` in interface `be.fedict.eid.applet.shared.protocol.HttpTransmitter`

### setBody

    public void setBody(byte[] bodyValue)

  Specified by:
    `setBody` in interface `be.fedict.eid.applet.shared.protocol.HttpTransmitter`

### isSecure

    public boolean isSecure()

  Specified by:
    `isSecure` in interface `be.fedict.eid.applet.shared.protocol.HttpTransmitter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 FedICT. All Rights Reserved.